 {
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "b",
    "b",
    "b"
  ],
  "key": {
    "b": {
      "item": "minecraft:bamboo_block"
    }
  },
  "result": {
    "id": "minecraft:knowledge_book"
  }
}
